﻿# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.

define sai = Character("Sai")

image saipic = "images/sai.png"
image bg ship = "images/ship.jpg"
image bg carnival = "images/carnival.jpg"


# The game starts here.

label start:

    # Show a background. This uses a placeholder by default, but you can
    # add a file (named either "bg room.png" or "bg room.jpg") to the
    # images directory to show it.

    scene bg ship
    "On an ocean far away, a ship sails through the waters."

    # This shows a character sprite. A placeholder is used, but you can
    # replace it by adding a file named "eileen happy.png" to the images
    # directory.

    show saipic
    "The captain? The maritime lawyer, Sai."
    "Sai has half an afro. A halfro."

    voice "voices/sai01.ogg"
    sai "Sail away with me!"

    "Sai dreams of a day they can take a crew out, but for now, they need money."

    scene bg carnival

    "Good news: Sai got a job at a carnival to earn money!"

    "Bad news: Sai's leg got cut off due to a lapse in safety protocol!"

    menu:
        "What will Sai do now?"
        "Replace leg with boat.":
            "Sai replaced their leg with a boat."
            "This has somehow turned Sai into a transformer. A boat transformer."
            show saipic
            sai "Autoboats transform!"
        "Duct tape it together!":
            "Sai duct tapes their leg together."
            "Through the magic of anime, it works!"
            show saipic
            sai "I'm allllll riiiight."

    "The end."

    # This ends the game.
    return
